# Getting Started with Ruby, Docker
## Setup
*  Clone this repository

```bash
# via SSH (Make sure that you have already finished the setup for the SSH keys)
git clone ssh://git@gitlab.discs.ateneo.edu:15316/mis-21-2018-intersession/1-getting-started-with-ruby.git 1-ruby
# or
# via HTTPS
git clone https://gitlab.discs.ateneo.edu/mis-21-2018-intersession/1-getting-started-with-ruby.git 1-ruby
```

* Go inside the cloned repository.

```bash
cd 1-ruby
```

* Make sure to disconnect this repository to the remote repository.

```bash
rm -rf .git
```

* Build Docker image.

```bash
docker-compose build
```
**Note**: During the first run, this will take a while. Proceed only when you see this:

```bash
Successfully tagged ruby_web:latest
```

* Run ``bash`` using the built Docker image

```bash
docker-compose run web bash
```